/******************************************************************************
* Title: styling.css
* Author: Hunter Schoonver ~ Web Designer ~ hunter@skoonie.com
* 
* Purpose:
* 
* This cascading stylesheet provides styling for the index/home page, which is
* why it is in the root folder.
*
* Example usage:
* 		<link rel="stylesheet" href="styling.css">
*
*/

/* ------------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------------ */
/* CONTENT SECTION -- styling for the Content Section */

.articleAuthor {
    border-right: 1px #a6a6a6 solid;
    display: inline-block;
    padding: 0 5px;
}

.articleAuthorDate {
    width: 100%;
    color: #a6a6a6;
    font-size: 17px;
    margin: 15px 0 0 0;
    text-align: right;
}

.articleBubble {
    height: 350px;
}

.articleBubbleLeft {
    width: 45%;
    height: 100%;
    background-position: center top;
	background-repeat: no-repeat; 
    border-radius: 3px;
    display: table-cell;
    vertical-align: top;
}
.articleBubbleLeft a {
    width: 100%;
    height: 100%;
    display: block;
}

.articleBubbleRight {
    width: 55%;
    height: 100%;
    display: table-cell;
    padding: 0 0 0 20px;
    position: relative;
    text-align: left;
    vertical-align: top;
}

.articleDate {
    display: inline-block;
    padding: 0 5px;
}

.articleImageNarrow {
    width: 100%;
    height: 150px;
    background-position: center -50px;
	background-repeat: no-repeat; 
    border-radius: 3px;
    display: none;
    visibility: hidden;
}

.articleReadButton {
    width: 100%;
    max-width: 500px;
    bottom: 10px;
    position: absolute;
    text-align: center;
}

.articleReadButton a {
    width: 215px;
    border: 1px solid #8c8c8c;
    color: #8c8c8c;
    cursor: pointer;
    display: inline-block;
    font-size: 20px;
    margin: 0;
    padding: 8px 60px;
    text-align: center;
    text-decoration: none;
    transition: all 250ms linear;
}
.articleReadButton a:hover {
    border: 1px #000 solid;
    color: #000;
    transition: all 250ms linear;
}

.articleSubTitle {
    color: #8c8c8c;
    font-size: 25px;
    text-align: left;
    vertical-align: top;
}

.articleTitle a {
    color: #000;
    font-size: 40px;
}
.articleTitle a:hover {
    color: #000;
    text-decoration: none;
}

/* Styling for when narrower than 600px */
@media (max-width: 600px) {
    
    .articleAuthorDate {
        margin: 15px 0 15px 0;
        text-align: left;
    }
    
    .articleBubble {
        height: auto;
    }
    
    .articleBubbleLeft {
        width: 0;
    }

    .articleBubbleRight {
        width: 100%;
        height: 100%;
        padding: 0;
    }
    
    .articleImageNarrow {
        display: inline-block;
        visibility: visible;
    }
    
    .articleReadButton {
        display: inline-block;
        margin: 15px 0 0 0;
        position: static;
    }
    
    .articleSubTitle {
        display: none;
        visibility: hidden;
    }
    
}

/* Styling for when narrower than 735px */
@media (max-width: 735px) {
    
    .articleAuthorDate {
        font-size: 15px;
    }
    
    .articleTitle a {
        font-size: 30px;
    }

    .articleSubTitle {
        font-size: 20px;
    }
    
}

/* end of CONTENT SECTION */
/* ------------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------------ */